module Interfactura
  module Parser
    class Domicilio
      include HappyMapper

      tag "cfdi:Domicilio"
      attribute "calle", String
      attribute "no_exterior", String, tag: "noExterior"
      attribute "colonia", String
      attribute "localidad", String
      attribute "municipio", String
      attribute "estado", String
      attribute "pais", String
      attribute "codigo_postal", String, tag: "codigoPostal"
    end
  end
end
