# encoding: UTF-8

require "savon"

module Interfactura
  module Ruby
    class Client
      attr_reader :soap

      def initialize(options = {})
        @soap = Savon.client(options)
      end

      def generate_document(invoice)
        response = @soap.call(:generar_documento, message: { sourceXmlDoc: invoice.to_xml, IsConsulta: true })
        result = response.body[:generar_documento_response][:generar_documento_result]
        puts "#{result}"
        Interfactura::Parser::Resultado.parse(result)
      end

    end
  end
end
