require 'interfactura/parser/domicilio_fiscal'
require 'interfactura/parser/regimen_fiscal'

module Interfactura
  module Parser
    class Emisor
      include HappyMapper

      tag "cfdi:Emisor"
      attribute "rfc", String
      attribute "nombre", String

      element "domicilio_fiscal", Interfactura::Parser::DomicilioFiscal, tag: "cfdi:DomicilioFiscal"
      element "regimen_fiscal", Interfactura::Parser::RegimenFiscal, tag: "cfdi:RegimenFiscal"
    end
  end
end
