require 'interfactura/parser/traslados'

module Interfactura
  module Parser
    class Impuestos
      include HappyMapper

      tag "cfdi:Impuestos"
      attribute "total_impuestos_trasladados", String, tag: "totalImpuestosTrasladados"

      element "traslados", Interfactura::Parser::Traslados, tag: "cfdi:Traslados"
    end
  end
end
