require 'interfactura/parser/domicilio'

module Interfactura
  module Parser
    class Receptor
      include HappyMapper

      tag "cfdi:Receptor"
      attribute "rfc", String
      attribute "nombre", String

      element "domicilio", Interfactura::Parser::Domicilio, tag: "cfdi:Domicilio"
    end
  end
end
